<bugID>460343<Summary>Add privacy-section prefs to control awesomebar behaviour</Summary><Description>Alex mentioned this idea in discussion with mconnor and I but said that there wasn't a bug yet.

The mockup in the URL is self-explanatory, the lines to focus on are the location bar behaviour lines, the "Bookmarks and History" combo box and the "private" tag beneath it.

Nom'ng wanted - don't think it blocks, but it requires strings, so this would need to happen quickly.</Description></bugID>